---
title: Get Consent List
slug: connect/get-consent-list
docTags: 
createdAt: 2023-11-21T06:37:28.659Z
---

:::ApiMethodV2
```json
{
  "name": "consents",
  "method": "GET",
  "url": "https://api-sandbox.klavi.ai/data/v1/consents",
  "description": "Get consent list by end user's CPF or CNPJ ",
  "tab": "examples",
  "examples": {
    "languages": [
      {
        "id": "FWjpuQzMVBbmzermm-03S",
        "language": "curl",
        "code": "curl --location 'https://api-sandbox.klavi.ai/data/v1/consents' \\\n--header 'Accept: application/json' \\\n--header 'Content-Type: application/json'",
        "customLabel": ""
      }
    ],
    "selectedLanguageId": "FWjpuQzMVBbmzermm-03S"
  },
  "results": {
    "languages": [
      {
        "id": "vZiCkocSFSvuk5swwbH4M",
        "language": "200",
        "customLabel": "",
        "code": "[\n    {\n        \"consentId\": \"ac246093-353b-4310-bd9c-c6ce0b278de8\",\n        \"linkId\": \"85a3af9f-e8ab-4be8-86dd-6138e9f2474c\",\n        \"externalTrackId\": \"113ee41e-1ecf-41b7-b6a9-c24d7f84bdfd\",\n        \"personalTaxId\": \"16109277673\",\n        \"businessTaxId\": \"\",\n        \"institutionCode\": \"001\",\n        \"status\": \"AUTHORISED\",\n        \"permissionsApply\":\n        [\n            \"ACCOUNTS_ALL\",\n            \"CREDIT_CARDS_ALL\",\n            \"CREDIT_OPERATIONS_ALL\",\n            \"REGISTRATION_ALL\",\n            \"INVESTMENTS_ALL\"\n        ],\n        \"permissionsGranted\":\n        [\n            \"ACCOUNTS_ALL\",\n            \"CREDIT_CARDS_ALL\",\n            \"CREDIT_OPERATIONS_ALL\",\n            \"REGISTRATION_ALL\",\n            \"INVESTMENTS_ALL\"\n        ],\n        \"expireAt\": \"2024-12-07T23:59:59.999Z\",\n        \"createdAt\": \"2023-12-08T09:19:19.253Z\",\n        \"updatedAt\": \"2023-12-08T11:29:50.253Z\"\n    },\n    {\n        \"consentId\": \"4942ef1e-18c2-4421-8bc9-ae0348d3b1bf\",\n        \"linkId\": \"9cec914d-7663-4f4e-aa90-39efe8f0f279\",\n        \"externalTrackId\": \"f47d4959-3a9d-4856-83e8-7b653f2f383a\",\n        \"personalTaxId\": \"16109277673\",\n        \"businessTaxId\": \"\",\n        \"institutionCode\": \"001\",\n        \"status\": \"AUTHORISED\",\n        \"permissionsApply\":\n        [\n            \"ACCOUNTS_ALL\",\n            \"CREDIT_CARDS_ALL\",\n            \"CREDIT_OPERATIONS_ALL\",\n            \"REGISTRATION_ALL\",\n            \"INVESTMENTS_ALL\"\n        ],\n        \"permissionsGranted\":\n        [\n            \"ACCOUNTS_ALL\",\n            \"CREDIT_CARDS_ALL\",\n            \"CREDIT_OPERATIONS_ALL\",\n            \"REGISTRATION_ALL\",\n            \"INVESTMENTS_ALL\"\n        ],\n        \"expireAt\": \"2024-12-07T23:59:59.999Z\",\n        \"createdAt\": \"2023-12-08T09:19:19.253Z\",\n        \"updatedAt\": \"2023-12-08T11:29:50.253Z\"\n    }\n]"
      }
    ],
    "selectedLanguageId": "vZiCkocSFSvuk5swwbH4M"
  },
  "request": {
    "pathParameters": [],
    "queryParameters": [
      {
        "name": "personalTaxId",
        "kind": "optional",
        "type": "string",
        "description": "The CPF of the end-user, for Personal Accounts only(If end user is personal required)",
        "children": []
      },
      {
        "name": "businessTaxId",
        "kind": "optional",
        "type": "string",
        "description": "The CNPJ of the company, for Business Accounts only(If end user is business required)",
        "children": []
      },
      {
        "name": "linkId",
        "kind": "optional",
        "type": "string",
        "description": "link identify, it returned by the /links",
        "children": []
      }
    ],
    "headerParameters": [
      {
        "name": "Authorization",
        "kind": "required",
        "type": "string",
        "description": "Bearer access token, it returned by the /auth",
        "children": []
      }
    ],
    "bodyDataParameters": [],
    "formDataParameters": []
  },
  "currentNewParameter": {
    "label": "Query Parameter",
    "value": "queryParameters"
  },
  "response": [
    {
      "name": "consentId",
      "kind": "optional",
      "type": "string",
      "description": "Consent identify"
    },
    {
      "name": "linkId",
      "kind": "optional",
      "type": "string",
      "description": "Link identify",
      "children": []
    },
    {
      "name": "externalTrackId",
      "kind": "optional",
      "type": "string",
      "description": "Partners to transfer tracking information",
      "children": []
    },
    {
      "name": "personalTaxId",
      "kind": "optional",
      "type": "string",
      "description": "The CPF of the end-user, for Personal Accounts only",
      "children": []
    },
    {
      "name": "businessTaxId",
      "kind": "optional",
      "type": "string",
      "description": "The CNPJ of the company, for Business Accounts only",
      "children": []
    },
    {
      "name": "institutionCode",
      "kind": "optional",
      "type": "string",
      "description": "Institution code, it returned by the /institutions",
      "children": []
    },
    {
      "name": "status",
      "kind": "optional",
      "type": "string",
      "description": "STARTED - Link created;\nAWAITING_AUTHORISATION - Waiting for end-user consent authorization;\nAWAITING_LGPD_AUTHORISATION - Waiting for end-user LGPD acceptance; (required for Financial Data)\nAUTHORISED - Link authorized by the end-user (valid status to call data endpoints);\nERROR - There was an issue in the link authorization flow\nREJECTED - End-user rejected the link authorization\nEXPIRED - Link expired by timeout (inactive for 20 minutes)\nREVOKED - Link revoked (can be revoked by the end-user or the application)\nDELETED_BY_USER - End-user requested data deletion ",
      "children": []
    },
    {
      "name": "permissionsApply",
      "kind": "optional",
      "type": "array",
      "description": "The permission required by partners for end user",
      "children": []
    },
    {
      "name": "permissionsGranted",
      "kind": "optional",
      "type": "array",
      "description": "The permissions granted by end users",
      "children": []
    },
    {
      "name": "expireAt",
      "kind": "optional",
      "type": "string",
      "description": "Consent expire time(UTC time)",
      "children": []
    },
    {
      "name": "createdAt",
      "kind": "optional",
      "type": "string",
      "description": "Create consent time(UTC time)",
      "children": []
    },
    {
      "name": "updatedAt",
      "kind": "optional",
      "type": "string",
      "description": "Update data time(UTC time)",
      "children": []
    }
  ],
  "autoGeneratedAnchorSlug": "consents",
  "legacyHash": "kCYywnBzuPJtRDbnQVbJm"
}
```
:::

